Reorder Blueprint Sequence

Purpose

To reorder the sequence of execution of Blueprints within a module in your Zoho CRM organization.

Endpoints

  • POST /settings/blueprints/actions/reorder?module={module_API_name}

Request Details

Request URL

{api-domain}/crm/{version}/settings/blueprints/actions/reorder

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.blueprint.UPDATE  (or)
ZohoCRM.settings.blueprint.ALL  (or)
ZohoCRM.settings.ALL

Parameters

  • module string, mandatory

    Specify the module of the blueprints to be reordered.

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/blueprints/actions/reorder?module=Leads"
-X POST
-d "@input.json"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Input JSON

The blueprints JSON array must contain the details of the Blueprint reordering. It must include the following keys:

  • id string, mandatory

    Specify the ID of the blueprint to be reordered.

  • sequence_number integer, mandatory

    Specify the order in which the blueprint should be reordered.

Sample Input

Copied{
    "blueprints": [
        {
            "id": "4794410000000943011",
            "sequence_number": 1
        },
        {
            "id": "4794410000001054011",
            "sequence_number": 2
        }
    ]
}

Possible Errors

  • REQUIRED_PARAM_MISSINGHTTP 400

    Required parameter is missing.
    Resolution: Specify the module parameter and its corresponding value.

  • INVALID_DATAHTTP 400

    Invalid data is given for the blueprints field.
    Resolution: Ensure that the number of blueprint entries does not exceed the maximum allowed length and that valid data is passed.

  • INVALID_DATAHTTP 400

    The module name given seems to be invalid.
    Resolution: Specify a valid module API name.

  • INVALID_DATAHTTP 400

    The ID given seems to be invalid.
    Resolution: Specify a valid blueprint ID.

  • MANDATORY_NOT_FOUNDHTTP 400

    Blueprint reorder failed because the mandatory field id is not given.
    Resolution: Specify the blueprint ID in each object under the blueprints array.

  • MANDATORY_NOT_FOUNDHTTP 400

    Mandatory field sequence_number is not given.
    Resolution: Specify the sequence number for each blueprint to be reordered.

  • INVALID_DATAHTTP 400

    Invalid process sequence is given.
    Resolution: Specify a valid sequence_number for the blueprint.

Sample Response

Copied{
    "blueprints": [
        {
            "code": "SUCCESS",
            "details": {
                "id": "4794410000000943011"
            },
            "message": "process reorder successfully",
            "status": "success"
        },
        {
            "code": "SUCCESS",
            "details": {
                "id": "4794410000001054011"
            },
            "message": "process reorder successfully",
            "status": "success"
        }
    ]
}